Facter: Privilege escalation

2014-12-26T00:00:00
ID GLSA-201412-45
Type gentoo
Reporter Gentoo Foundation
Modified 2014-12-26T00:00:00

Description

Background

Facter is a cross-platform Ruby library for retrieving facts from operating systems.

Description

Facter includes the current working directory in the search path.

Impact

A local attacker may be able to gain escalated privileges.

Workaround

There is no known workaround at this time.

Resolution

All Facter users should upgrade to the latest version:

 # emerge --sync
 # emerge --ask --oneshot --verbose ">=dev-ruby/facter-1.7.6"